/* 
 * Thomas Pantzer: t_kurvemap.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef _T_KURVEMAP_H
#define _T_KURVEMAP_H



#include "t_woeq.h"
#include "trigonom.h"
#include "graphix.h"
#include "new_panel.h"


typedef struct {
        	t_vertex_2i pos;
                char st[256];
               } t_old; 

class t_kurvemap2 : public t_woeq {
public:
   	t_old Old;
		
	virtual void Init(int count);
        virtual void Done(void);
   
	
//   	void Show(t_vertex_2i *center, double size);
        t_deq *Nearest(t_vertex_2i &center, t_vertex_2i &click);
};


#endif







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
