/* 
 * Thomas Pantzer: slBounds.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */

#ifndef FD_slBounds_Dialog_h_
#define FD_slBounds_Dialog_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void button_cb(FL_OBJECT *, long);
extern void input_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *slBounds_Dialog;
	void *vdata;
	long ldata;
	FL_OBJECT *ok_bt;
	FL_OBJECT *dismiss_bt;
	FL_OBJECT *topval_in;
	FL_OBJECT *bottomval_in;
	FL_OBJECT *preci_in;
	FL_OBJECT *step_in;
	FL_OBJECT *banner;
} FD_slBounds_Dialog;

typedef struct {
        FL_OBJECT *obj;
        long data;
	double TopVal,BottomVal,StepVal;
	int PreciVal;
	char topc,botc,precic,stepc;
       } t_slBoundsRec;



extern FD_slBounds_Dialog * create_form_slBounds_Dialog(void);
extern FD_slBounds_Dialog * __create_form_slBounds_Dialog(const char *);

#ifdef MAIN_G
   #define vextern
   t_slBoundsRec change_slBounds = {NULL,0,1.0,0.0,0.1,1,false,false,false,false}; 
#else
   extern t_slBoundsRec change_slBounds;
   #define vextern extern
#endif

vextern  FD_slBounds_Dialog *fd_slBounds_Dialog;

#undef vextern

#define cmd_OKslBounds		101
#define cmd_CancelslBounds	102	
#define cmd_slTopVal		103
#define cmd_slBottomVal		104
#define cmd_slPreciVal		105
#define cmd_slStepVal		106

#endif /* FD_slBounds_Dialog_h_ */







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
