/* 
 * Thomas Pantzer: gripper_demo.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _GRIPPER_DEMO_H
#define _GRIPPER_DEMO_H


#include "t_runtime_obj.h"


#define COLLISION_TH	0.850
#define WALL_SEARCH_TH	0.400
#define FREE_ROOM_TH	0.050

#define RUN_SPEED	0.6
#define GRIP_SPEED	0.3

#define BACK_STEP	-30
#define GRIP_LEN	60



class t_gripper_demo : public t_runtime_object {
public:
	void Init(RobotContext *robot);
	virtual char control_module(void);
};


#ifdef _GRIPPER_DEMO_G
#define m_extern
#else 
#define m_extern extern
#endif



m_extern t_gripper_demo Gripper_Demo;


#undef m_extern

#endif







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
