/* 
 * Thomas Pantzer: neuronal_demo.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef _NEURONAL_DEMO_H
#define _NEURONEL_DEMO_H

#include "t_runtime_obj.h"
#include "net2robot.h"


class t_neuronal_demo : public t_runtime_object {
public:
	void Init(RobotContext *robot);
//	virtual char calculate_module(char allow_learn);
	virtual char control_module(void);
//	virtual char start_module(void);
//	virtual char stop_module(void);
	virtual void Show(void);
};





#ifdef _NEURONAL_DEMO_G
#define m_extern
#else 
#define m_extern extern
#endif

m_extern unsigned long    Neuron_COLOR[64];
m_extern unsigned long    Syn_COLOR[64];


m_extern t_neuronal_demo Neuronal_Demo;
m_extern t_RobotNet   	 Neuronal_Net;
m_extern double          robot_netspeed;


#undef m_extern


#endif







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
