/* 
 * Thomas Pantzer: t_trigger.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */





#ifndef _T_TRIGGER_H
#define _T_TRIGGER_H


class t_trigger {
public:
	void Init(int len);
	void Done(void);

	void Register(int id,long int ms);
	void Update(void);
	char Snapped(int id);

private:
	int len;
	long int *delta;
	long int *last;
	char *started;
	
	long int now;
};



#ifdef _T_TRIGGER_G
#define m_extern
#else
#define m_extern extern
#endif


#define Canvas_trg 	1
#define Odo_trg		2
#define LED_trg		3
#define Cam_trg		4



m_extern t_trigger Trigger;


#undef m_extern


#endif
