/* 
 * Thomas Pantzer: xdemo.h, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */

#ifndef FD_demo_h_
#define FD_demo_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void demo_slider_cb(FL_OBJECT *, long);
extern void demo_button_cb(FL_OBJECT *, long);
extern void demo_choice_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *demo;
	void *vdata;
	long ldata;
	FL_OBJECT **slider;
	FL_OBJECT **cbox;
	FL_OBJECT **choice;
} FD_demo;

extern FD_demo * create_form_demo(char *name,int id, 
		int nsliders, int ncboxes, int nchoices,
		char **sliderNames, char **BoxNames, char **ChoiceNames);

extern void done_form_demo(FD_demo *demo);

#endif /* FD_test_h_ */







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
